<style scoped lang="less">
  #app {
    height: 100%;
  }
</style>


<template>
  <div id="app">
    <splash-screen v-if="showSplash"/>
    <router-view v-else/>
  </div>
</template>

<script>

  import SplashScreen                 from 'UI/components/splash-screen/splash-screen.vue'
  import { SocketActions, NAMESPACE } from 'Store/modules/socket'

  export default {
    components: { SplashScreen },
    computed:   {
      showSplash() {
        return !this.$store.state.socket.isConnected
      }
    },
    created() {
      this.$store.dispatch( `${ NAMESPACE }/${ SocketActions.CONNECT_TO_WS }` )
    },
  }
</script>
